> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove tags from a matter

> Removes the tag from the matter without deleting from the account.



## OpenAPI

````yaml /openapi.json delete /matters/{matterId}/tags/{tagId}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/tags/{tagId}:
    delete:
      tags:
        - Matters
      summary: Remove tags from a matter
      description: Removes the tag from the matter without deleting from the account.
      operationId: DeleteMatterTag
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: tagId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json-patch+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/MatterTagDto'
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/MatterTagDto'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/MatterTagDto'
      responses:
        '202':
          description: When request is accepted. Returns a 'Link' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: >-
            When matter with specified id is not associated with authenticated
            client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When matter with specified id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    MatterTagDto:
      type: object
      properties:
        id:
          type: string
          description: >-
            Unique identifier for the tag.


            When the tag Type is Staff, this value represents the staff member's
            ID.


            When GET tags, this value represents the tag's unique identifier
            after creation.


            Not required when posting standard custom tags.
          nullable: true
        name:
          type: string
          description: >-
            Human-readable display name of the tag.


            API would know you are adding the same tag to multiple matters as
            long as they have the same Name.


            You can put any string you like and you can re-use strings as they
            are stored and re-used per account.


            Theoretically an Id would be the same across matters for a custom
            tag.
          nullable: true
        color:
          type: string
          description: >-
            Visual color associated with the tag.


            Must be one of the supported color values (the valid list is
            documented separately).


            If not provided, the color will default to Brown.


            If the tag already exists, this field will be ignored and the
            existing color will be retained.
          nullable: true
        type:
          type: string
          description: |-
            Defines what kind of tag this is.

            Accepted values:

            Staff – The tag represents a firm staff member.

            Custom – The tag is a user-defined custom label.
          example: Staff
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````